import { EventEmitter } from '../../stencil-public-runtime';
import { IThaiAddress } from '../../constants/address';
import { UserAddress } from '../../store/type';
export declare class AutocompleteAddress {
    field: keyof IThaiAddress;
    value: string;
    selectedValue?: string;
    placeholder: string;
    referenceSelector: string;
    selecting: EventEmitter<string>;
    allItems: string[];
    showDropdown: boolean;
    isLoading: boolean;
    private triggerEl;
    private popperEl;
    private addressData;
    private disposeListener;
    private cleanup?;
    initialAddresses(currentAddress?: UserAddress): Promise<void>;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleClickOutside: (e: MouseEvent) => void;
    handleCloseOthers: (e: CustomEvent) => void;
    handleClose: () => void;
    onInput: (e: InputEvent) => void;
    onSelectItem: (item: string) => void;
    onFocus: () => void;
    render(): any;
}
